Bug 223730 - fc6 install can't get past "Loading sata_via driver..."
fc6 install can't get past "Loading sata_via driver..."
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-01-21 19:40 EST by Brian McMinn
Modified: 2013-07-02 22:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 21:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 7415 None None None Never

  None (edit)
Description Brian McMinn 2007-01-21 19:40:59 EST
Description of problem:

When installing fc6 from the install DVD, the install process spews garbage to
the screen and eventually wedges completely, making it impossible to continue
the install.

Version-Release number of selected component (if applicable):

This is with the official fc6 DVD iso image.

How reproducible:

I have tried many different variations of i686, noapic, nolapic as parameters to
the "linux" command that kicks off the install but all have resulted in the same

Steps to Reproduce:
1. boot install DVD
Actual results:

Kernel loading starts, then info boxes say 
   "Loading ohci1394 driver..."
   "Loading sata_promise driver..." (I think that's the text)
   graphics mode changes to text, screen is filled with non-ASCII characters
   "Loading sata_via driver..."
System is now frozen and it never recovers.

Expected results:

Kernel and related drivers loaded without freezing.

Additional info:

Web searching shows a possible match for this bug at
but I'm not a kernel hacker so I'm just guessing.
Comment 1 Brian McMinn 2007-02-13 22:40:47 EST
Tested this on fc7test1 and saw the same failure so I'm updating the version
for this bug.  A thread on fedoraforum also covers this issue
Both people experiencing this have the same motherboard, a Soltek SL-K8TPro-939
so it's looking more like a specific motherboard issue.

If someone with the ability to debug this wants to take a crack at it I'm
willing to replace my mobo and ship them the Soltek (bare) so they can work
on it.
Comment 2 Bill Nottingham 2007-03-02 12:36:12 EST
Moving to 'devel' as discussed on
Comment 3 Bug Zapper 2008-04-03 14:55:30 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:05:41 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.